Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Path Parameters
workspace_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspaces/string/members" \ -H "Content-Type: application/json" \ -d '{ "user_id": "string", "role_ids": [ "string" ] }'{ "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string", "user_id": "string", "roles": [ { "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "name": "string", "permissions": [ "string" ], "is_deployment_level": true } ], "public_metadata": null, "first_name": "string", "last_name": "string", "username": "string", "primary_email_address": "string", "primary_phone_number": "string", "user_created_at": "2019-08-24T14:15:22Z"}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}